Skip to main content
GET
/
v2
/
api
/
core
/
wallets
/
{walletId}
/
transactions
/
out
Get outgoing transactions by wallet ID
curl --request GET \
  --url https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/transactions/out \
  --header 'X-Signature: <api-key>'
{
  "transfers": [
    {
      "companyId": "ZTEST",
      "fromWallet": "ZTEST-NOBENF-849P8XKKAO",
      "toAddress": "tb1ql7w62elx9ucw4pj5lgw4l028hmuw80sndtntxt",
      "consumerMetadata": "metadata",
      "transferId": "TRO-API-ZTEST-4001",
      "transferStatus": "CONFIRMED",
      "amountLedger": 641400,
      "feeType": "HIGH",
      "feeAmountLedger": 165,
      "ledgerRef": "fd1c22fd097501606fddbc7d22e5009d45e9e6cb7115ad109a46f8319a385bd4",
      "createdBy": "api-maker@zodia.io",
      "createdAt": "2021-08-03T18:17:57Z",
      "currency": "<string>",
      "feeCurrency": "<string>"
    }
  ]
}

Authorizations

X-Signature
string
header
required

Path Parameters

walletId
string
required

Query Parameters

limit
integer
default:10

Number of results per request

Required range: 1 <= x <= 1024
from
string

Start and inclusive date/time of the query

to
string

End and inclusive date/time of the query

Response

OK

transfers
object[]

Outgoing transactions for the wallet